org.cpsolver.studentsct.check

## Class OverlapCheck

- java.lang.Object
- - org.cpsolver.studentsct.check.OverlapCheck

-     public class OverlapCheck
      extends Object

  This class looks and reports cases when a student is enrolled into two sections that are overlapping in time.
  Usage: if (new OverlapCheck(model).check()) ...
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverlapCheck(StudentSectioningModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(Assignment<Request,Enrollment> a)` Check for overlapping sections that are attended by the same student
    `StudentSectioningModel` | `getModel()` Return student sectioning model

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverlapCheck

          public OverlapCheck(StudentSectioningModel model)

      Constructor
      Parameters:
        `model` - student sectioning model

  - ### Method Detail

    - #### getModel

          public StudentSectioningModel getModel()

      Return student sectioning model
      Returns:
        problem model

    - #### check

          public boolean check(Assignment<Request,Enrollment> a)

      Check for overlapping sections that are attended by the same student
      Parameters:
        `a` - current assignment
      Returns:
        false, if there is such a case